Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
portage problem
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
xtlosx
Apprentice
Apprentice


Joined: 14 Jan 2006
Posts: 219
Location: Chicago

PostPosted: Mon May 15, 2006 2:21 am    Post subject: portage problem Reply with quote

hey guys, when i try to do a emerge -uavDN world, i get this
Code:

kamienic tom # emerge -uavDN world

These are the packages that I would merge, in order:

Calculating world dependencies
!!! Packages for the following atoms are either all
!!! masked or don't exist:
dev-php/mod_php

 ...done!

[blocks B     ] dev-php/mod_php (is blocking dev-lang/php-5.1.4)
[blocks B     ] dev-php/php (is blocking dev-lang/php-5.1.4)
[ebuild     U ] sys-apps/man-pages-2.30 [2.28] +nls 1,736 kB
[ebuild     U ] sys-apps/sandbox-1.2.17 [1.2.12] 227 kB
[ebuild     U ] sys-apps/portage-2.0.54-r2 [2.0.54-r1] -build -doc (-selinux) 6 kB
*** Portage will stop merging at this point and reload itself,
    recalculate dependencies, and complete the merge.
[ebuild     U ] dev-db/mysql-4.1.19 [4.1.14-r1] +berkdb -big-tables -cluster -debug -embedded -e xtraengine -latin1 -minimal +perl -raid (-selinux) -srvdir +ssl -static 16,946 kB
[ebuild  NS   ] sys-kernel/gentoo-sources-2.6.16-r7  -build -doc +symlink (-ultra1) 206 kB
[ebuild     U ] app-portage/eix-0.5.5 [0.5.1-r2] 283 kB
[ebuild     U ] dev-lang/nasm-0.98.39-r3 [0.98.39-r1] -build -doc 0 kB
[ebuild     U ] media-libs/tiff-3.7.4 [3.7.3] +jpeg -nocxx +zlib 1,252 kB
[ebuild     U ] sys-apps/less-394 [385_p4-r2] -unicode 285 kB
[ebuild     U ] net-misc/rsync-2.6.8-r2 [2.6.8] -acl -build -ipv6 -static -xinetd 0 kB
[ebuild  N    ] app-admin/php-toolkit-1.0-r2  0 kB
[ebuild  N    ] dev-lang/php-5.1.4  -adabas -apache +apache2 -bcmath +berkdb -birdstep +bzip2 -c alendar -cdb -cgi -cjk +cli +crypt -ctype -curl -curlwrappers -db2 -dbase -dbmaker -debug -disca rd-path -doc -empress -empress-bcs -esoob -exif -fastbuild -fdftk -filepro -firebird -flatfile - force-cgi-redirect -frontbase -ftp +gd -gd-external +gdbm -gmp +hardenedphp -hash -hyperwave-api  -iconv -imap -informix -inifile -interbase -iodbc -ipv6 -java-external -kerberos -ldap -libedit  -mcve -memlimit +mhash -ming -msql -mssql +mysql -mysqli +ncurses +nls -oci8 -oci8-instant-clie nt -odbc -pcntl +pcre -pdo -pdo-external -pic -posix -postgres -qdbm +readline -recode +reflecti on -sapdb -sasl +session -sharedext -sharedmem -simplexml +snmp -soap -sockets -solid +spell +sp l -sqlite +ssl -sybase -sybase-ct -sysvipc -threads -tidy -tokenizer +truetype -unicode -vm-goto  -vm-switch -wddx -xml -xmlreader -xmlrpc -xmlwriter -xpm -xsl -yaz -zip +zlib 5,915 kB
[ebuild   R   ] app-admin/webalizer-2.01.10-r12  +apache2 -geoip +nls* -search -vhosts -xtended 0 kB

Total size of downloads: 26,862 kB

!!! Error: The above package list contains packages which cannot be installed
!!!        on the same system.

kamienic tom #


how do i get around this?? Thanks!
Back to top
View user's profile Send private message
didymos
Advocate
Advocate


Joined: 10 Oct 2005
Posts: 4798
Location: California

PostPosted: Mon May 15, 2006 3:32 am    Post subject: Reply with quote

You can install mod_php, or dev-lang/php. The latter will also work with apache, which is why it blocks mod_php.
_________________
Thomas S. Howard
Back to top
View user's profile Send private message
xtlosx
Apprentice
Apprentice


Joined: 14 Jan 2006
Posts: 219
Location: Chicago

PostPosted: Mon May 15, 2006 3:34 am    Post subject: Reply with quote

hmm, won't break my current install or anything?
Back to top
View user's profile Send private message
Genone
Retired Dev
Retired Dev


Joined: 14 Mar 2003
Posts: 8993
Location: beyond the rim

PostPosted: Mon May 15, 2006 3:52 am    Post subject: Reply with quote

http://www.gentoo.org/proj/en/php/php-upgrading.xml
Back to top
View user's profile Send private message
tomk
Administrator
Administrator


Joined: 23 Sep 2003
Posts: 7219
Location: Sat in front of my computer

PostPosted: Mon May 15, 2006 7:34 am    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads, please see this topic: Upgrading PHP on Gentoo.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum